org.wso2.carbon.dataservices.ui.beans

## Class ComplexElement

- java.lang.Object
- - org.wso2.carbon.dataservices.ui.beans.ComplexElement

-     public class ComplexElement
      extends Object

  Represents Complex type elements
  See Also:
    `Element/Attribute`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComplexElement()`
    `ComplexElement(String name, String namespace, String arrayName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAttribute(Attribute attribute)`
    `void` | `addCallQuery(CallQuery callQuery)`
    `void` | `addCallQueryGroup(CallQueryGroup callQueryGroup)`
    `void` | `addComplexElement(ComplexElement complexElement)`
    `void` | `addElement(Element element)`
    `void` | `addResource(RDFResource resource)`
    `org.apache.axiom.om.OMElement` | `buildXML()`
    `String` | `getArrayName()`
    `List<Attribute>` | `getAttributes()`
    `List<CallQuery>` | `getCallQueries()`
    `List<CallQueryGroup>` | `getCallQueryGroups()`
    `ComplexElement` | `getComplexElement(String name)`
    `List<ComplexElement>` | `getComplexElements()`
    `List<Element>` | `getElements()`
    `String` | `getName()`
    `String` | `getNamespace()`
    `List<RDFResource>` | `getResources()`
    `Attribute` | `removeAttribute(String attributeName)`
    `void` | `removeCallQuery(String href)`
    `ComplexElement` | `removeComplexElement(String elementName)`
    `Element` | `removeElement(String elementName)`
    `void` | `setArrayName(String arrayName)`
    `void` | `setName(String name)`
    `void` | `setNamespace(String namespace)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ComplexElement

          public ComplexElement(String name,
                                String namespace,
                                String arrayName)

    - #### ComplexElement

          public ComplexElement()

  - ### Method Detail

    - #### addCallQuery

          public void addCallQuery(CallQuery callQuery)

    - #### addCallQueryGroup

          public void addCallQueryGroup(CallQueryGroup callQueryGroup)

    - #### getCallQueryGroups

          public List<CallQueryGroup> getCallQueryGroups()

    - #### addComplexElement

          public void addComplexElement(ComplexElement complexElement)

    - #### getComplexElements

          public List<ComplexElement> getComplexElements()

    - #### addElement

          public void addElement(Element element)

    - #### addResource

          public void addResource(RDFResource resource)

    - #### getElements

          public List<Element> getElements()

    - #### addAttribute

          public void addAttribute(Attribute attribute)

    - #### getAttributes

          public List<Attribute> getAttributes()

    - #### getName

          public String getName()

    - #### getResources

          public List<RDFResource> getResources()

    - #### setName

          public void setName(String name)

    - #### getNamespace

          public String getNamespace()

    - #### setNamespace

          public void setNamespace(String namespace)

    - #### getArrayName

          public String getArrayName()

    - #### setArrayName

          public void setArrayName(String arrayName)

    - #### removeElement

          public Element removeElement(String elementName)

    - #### removeAttribute

          public Attribute removeAttribute(String attributeName)

    - #### removeComplexElement

          public ComplexElement removeComplexElement(String elementName)

    - #### removeCallQuery

          public void removeCallQuery(String href)

    - #### getCallQueries

          public List<CallQuery> getCallQueries()

    - #### getComplexElement

          public ComplexElement getComplexElement(String name)

    - #### buildXML

          public org.apache.axiom.om.OMElement buildXML()

Copyright © 2019 WSO2. All rights reserved.